"use strict";

var _jsxRuntime = require("react/jsx-runtime");

var _enzyme = require("enzyme");

var _Header = require("../Header");

describe('Header', function () {
  test('should render a title when `title` prop is set', function () {
    var subject = (0, _enzyme.mount)( /*#__PURE__*/(0, _jsxRuntime.jsx)(_Header.Header, {
      title: "title"
    }));
    var expected = 'title';
    var actual = subject.prop('title');
    expect(actual).toBe(expected);
  });
  test('should render a subtitle when `subtitle` prop is set', function () {
    var subject = (0, _enzyme.mount)( /*#__PURE__*/(0, _jsxRuntime.jsx)(_Header.Header, {
      title: "title",
      subtitle: "subtitle"
    }));
    var expected = 'subtitle';
    var actual = subject.prop('subtitle');
    expect(actual).toBe(expected);
  });
  test('should render a title above when `titleAbove` prop is set', function () {
    var subject = (0, _enzyme.mount)( /*#__PURE__*/(0, _jsxRuntime.jsx)(_Header.Header, {
      title: "title",
      titleAbove: "title above"
    }));
    var expected = 'title above';
    var actual = subject.prop('titleAbove');
    expect(actual).toBe(expected);
  });
});